[Bug 846314] Re: Doxygen-latex dependency should be optional

Ian Thompson 846314 at bugs.launchpad.net
Fri Jan 6 22:44:02 UTC 2012

I'm not sure quite how this is okay dependency-wise but it seems you can
install the "doxygen" package alone with Synaptic:

1. Open Synaptic Package Manager (assuming you have installed this)
2. Mark "doxygen" (marking its many unnecessary Latex dependants)
3. Go to "Custom Filters", "Marked Changes"
4. Select all the packages except "doxygen", right-click and "Unmark"
5. Click "Apply"

Will report back if I hit any issues but initial tests show it works.
Haven't figured out how to do the same with apt-get but perhaps someone
else can jump in.

You received this bug notification because you are a member of Ubuntu
Foundations Bugs, which is subscribed to doxygen in Ubuntu.

  Doxygen-latex dependency should be optional

Status in “doxygen” package in Ubuntu:

Bug description:
  I want to use doxygen only to generate HTML documentation.

  But the doxygen binary package has a dependency on doxygen-latex that
  drags tens of LaTeX packages:

  $ LANG=C sudo aptitude install -R doxygen
  The following NEW packages will be installed:
    doxygen doxygen-latex{a} latex-xcolor{a} luatex{a} preview-latex-style{a} 
    tex-common{a} texlive-base{a} texlive-binaries{a} texlive-common{a} 
    texlive-doc-base{a} texlive-extra-utils{a} texlive-latex-base{a} 
    texlive-latex-extra{a} texlive-latex-recommended{a} texlive-pictures{a} 
  The following packages are RECOMMENDED but will NOT be installed:
    lacheck latex-beamer lmodern pgf prosper texlive-latex-base-doc 
    texlive-latex-extra-doc texlive-latex-recommended-doc texlive-luatex 
  0 packages upgraded, 15 newly installed, 0 to remove and 0 not upgraded.

  This is a waste of my disk space.

To manage notifications about this bug go to:

More information about the foundations-bugs mailing list